#### D.4.16.21 Degrees

Procedure from library `modules.lib` (see modules_lib).

Usage:
  Degrees(M); M a Module

Return:
  list, grading of the Module

Example:

    LIB "modules.lib";
    ring r;
    matrix ma[2][2]=x,y,x,y;
    Matrix m=ma;
    Module M=image(m);
    M;
    ==> image | x y |
    ==>       | x y |
    ==>
    ==>
    Degrees(M);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.